## org.codehaus.groovy.ast.expr
Class ListExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.ast.expr.ListExpression

Direct Known Subclasses:
  ClosureListExpression

    public class ListExpression

extends Expression

Represents a list expression [1, 2, 3] which creates a mutable List

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`ListExpression()`
`ListExpression(List expressions)`

Method Summary
`void` `addExpression(Expression expression)`
`Expression` `getExpression(int i)`
`List` `getExpressions()`
`String` `getText()`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListExpression

    public ListExpression()

### ListExpression

    public ListExpression(List expressions)

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getExpressions

    public List getExpressions()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getExpression

    public Expression getExpression(int i)

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2003-2008 The Codehaus. All rights reserved.